help.start {utils} | R Documentation

## Hypertext Documentation

### Description

Start the hypertext (currently HTML) version of R's online documentation.

### Usage

    help.start(gui = "irrelevant", browser = getOption("browser"),
               remote = NULL)

### Arguments

`gui` | just for compatibility with S-PLUS.
`browser` | the name of the program to be used as hypertext browser. It should be in the PATH, or a full path specified.
`remote` | A character giving a valid URL for the ‘`$R_HOME`’ directory on a remote location.

### Details

All the packages in the known library trees are linked to directory ‘`.R`’ in the per-session temporary directory. The links are re-made each time `help.start` is run, which should be done after packages are installed, updated or removed.

If the browser given by the `browser` argument is different from the default browser as specified by `options("browser")`, the default is changed to the given browser so that it gets used for all future help requests.

### Note

There is a Java-based search facility available from the HTML page that `help.start` brings up. Should this not work, please consult the ‘R Installation and Administration’ manual which is linked from that page.

### See Also

`help()` for on- and off-line help in ASCII/Editor or PostScript format.

`browseURL` for how the help file is displayed.

### Examples

    ## Not run:
    help.start()
    ## End(Not run)

[Package utils version 2.0.1 Index]